package com.mortals.xhx.module.appointment.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.appointment.model.AppointmentConfigTimesEntity;
/**
 * 预约自动签到配置时间段查询对象
 *
 * @author zxfei
 * @date 2023-04-11
 */
public class AppointmentConfigTimesQuery extends AppointmentConfigTimesEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 自动签到配置id */
    private Long aotoCheckCfgIdStart;

    /** 结束 自动签到配置id */
    private Long aotoCheckCfgIdEnd;

    /** 增加 自动签到配置id */
    private Long aotoCheckCfgIdIncrement;

    /** 自动签到配置id列表 */
    private List <Long> aotoCheckCfgIdList;

    /** 自动签到配置id排除列表 */
    private List <Long> aotoCheckCfgIdNotList;

    /** 开始 时间段时候开始时间 */
    private String serviceTimeStartStart;

    /** 结束 时间段时候开始时间 */
    private String serviceTimeStartEnd;

    /** 开始 时间段结束时间 */
    private String serviceTimeEndStart;

    /** 结束 时间段结束时间 */
    private String serviceTimeEndEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppointmentConfigTimesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppointmentConfigTimesQuery> andConditionList;

    public AppointmentConfigTimesQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 自动签到配置id
     * @return aotoCheckCfgIdStart
     */
    public Long getAotoCheckCfgIdStart(){
        return this.aotoCheckCfgIdStart;
    }

    /**
     * 设置 开始 自动签到配置id
     * @param aotoCheckCfgIdStart
     */
    public void setAotoCheckCfgIdStart(Long aotoCheckCfgIdStart){
        this.aotoCheckCfgIdStart = aotoCheckCfgIdStart;
    }

    /**
     * 获取 结束 自动签到配置id
     * @return $aotoCheckCfgIdEnd
     */
    public Long getAotoCheckCfgIdEnd(){
        return this.aotoCheckCfgIdEnd;
    }

    /**
     * 设置 结束 自动签到配置id
     * @param aotoCheckCfgIdEnd
     */
    public void setAotoCheckCfgIdEnd(Long aotoCheckCfgIdEnd){
        this.aotoCheckCfgIdEnd = aotoCheckCfgIdEnd;
    }

    /**
     * 获取 增加 自动签到配置id
     * @return aotoCheckCfgIdIncrement
     */
    public Long getAotoCheckCfgIdIncrement(){
        return this.aotoCheckCfgIdIncrement;
    }

    /**
     * 设置 增加 自动签到配置id
     * @param aotoCheckCfgIdIncrement
     */
    public void setAotoCheckCfgIdIncrement(Long aotoCheckCfgIdIncrement){
        this.aotoCheckCfgIdIncrement = aotoCheckCfgIdIncrement;
    }

    /**
     * 获取 自动签到配置id
     * @return aotoCheckCfgIdList
     */
    public List<Long> getAotoCheckCfgIdList(){
        return this.aotoCheckCfgIdList;
    }

    /**
     * 设置 自动签到配置id
     * @param aotoCheckCfgIdList
     */
    public void setAotoCheckCfgIdList(List<Long> aotoCheckCfgIdList){
        this.aotoCheckCfgIdList = aotoCheckCfgIdList;
    }

    /**
     * 获取 自动签到配置id
     * @return aotoCheckCfgIdNotList
     */
    public List<Long> getAotoCheckCfgIdNotList(){
        return this.aotoCheckCfgIdNotList;
    }

    /**
     * 设置 自动签到配置id
     * @param aotoCheckCfgIdNotList
     */
    public void setAotoCheckCfgIdNotList(List<Long> aotoCheckCfgIdNotList){
        this.aotoCheckCfgIdNotList = aotoCheckCfgIdNotList;
    }


    /**
     * 获取 开始 时间段时候开始时间
     * @return serviceTimeStartStart
     */
    public String getServiceTimeStartStart(){
        return this.serviceTimeStartStart;
    }

    /**
     * 设置 开始 时间段时候开始时间
     * @param serviceTimeStartStart
     */
    public void setServiceTimeStartStart(String serviceTimeStartStart){
        this.serviceTimeStartStart = serviceTimeStartStart;
    }

    /**
     * 获取 结束 时间段时候开始时间
     * @return serviceTimeStartEnd
     */
    public String getServiceTimeStartEnd(){
        return this.serviceTimeStartEnd;
    }

    /**
     * 设置 结束 时间段时候开始时间
     * @param serviceTimeStartEnd
     */
    public void setServiceTimeStartEnd(String serviceTimeStartEnd){
        this.serviceTimeStartEnd = serviceTimeStartEnd;
    }

    /**
     * 获取 开始 时间段结束时间
     * @return serviceTimeEndStart
     */
    public String getServiceTimeEndStart(){
        return this.serviceTimeEndStart;
    }

    /**
     * 设置 开始 时间段结束时间
     * @param serviceTimeEndStart
     */
    public void setServiceTimeEndStart(String serviceTimeEndStart){
        this.serviceTimeEndStart = serviceTimeEndStart;
    }

    /**
     * 获取 结束 时间段结束时间
     * @return serviceTimeEndEnd
     */
    public String getServiceTimeEndEnd(){
        return this.serviceTimeEndEnd;
    }

    /**
     * 设置 结束 时间段结束时间
     * @param serviceTimeEndEnd
     */
    public void setServiceTimeEndEnd(String serviceTimeEndEnd){
        this.serviceTimeEndEnd = serviceTimeEndEnd;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AppointmentConfigTimesQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AppointmentConfigTimesQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AppointmentConfigTimesQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AppointmentConfigTimesQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AppointmentConfigTimesQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AppointmentConfigTimesQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  自动签到配置id
     * @param aotoCheckCfgId
     */
    public AppointmentConfigTimesQuery aotoCheckCfgId(Long aotoCheckCfgId){
        setAotoCheckCfgId(aotoCheckCfgId);
        return this;
    }

    /**
     * 设置 开始 自动签到配置id
     * @param aotoCheckCfgIdStart
     */
    public AppointmentConfigTimesQuery aotoCheckCfgIdStart(Long aotoCheckCfgIdStart){
        this.aotoCheckCfgIdStart = aotoCheckCfgIdStart;
        return this;
    }

    /**
     * 设置 结束 自动签到配置id
     * @param aotoCheckCfgIdEnd
     */
    public AppointmentConfigTimesQuery aotoCheckCfgIdEnd(Long aotoCheckCfgIdEnd){
        this.aotoCheckCfgIdEnd = aotoCheckCfgIdEnd;
        return this;
    }

    /**
     * 设置 增加 自动签到配置id
     * @param aotoCheckCfgIdIncrement
     */
    public AppointmentConfigTimesQuery aotoCheckCfgIdIncrement(Long aotoCheckCfgIdIncrement){
        this.aotoCheckCfgIdIncrement = aotoCheckCfgIdIncrement;
        return this;
    }

    /**
     * 设置 自动签到配置id
     * @param aotoCheckCfgIdList
     */
    public AppointmentConfigTimesQuery aotoCheckCfgIdList(List<Long> aotoCheckCfgIdList){
        this.aotoCheckCfgIdList = aotoCheckCfgIdList;
        return this;
    }

    /**
     * 设置 自动签到配置id
     * @param aotoCheckCfgIdNotList
     */
    public AppointmentConfigTimesQuery aotoCheckCfgIdNotList(List<Long> aotoCheckCfgIdNotList){
        this.aotoCheckCfgIdNotList = aotoCheckCfgIdNotList;
        return this;
    }




    /**
     * 设置 备注
     * @param remark
     */
    public AppointmentConfigTimesQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AppointmentConfigTimesQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AppointmentConfigTimesQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AppointmentConfigTimesQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AppointmentConfigTimesQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AppointmentConfigTimesQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AppointmentConfigTimesQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AppointmentConfigTimesQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AppointmentConfigTimesQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AppointmentConfigTimesQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AppointmentConfigTimesQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AppointmentConfigTimesQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AppointmentConfigTimesQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AppointmentConfigTimesQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AppointmentConfigTimesQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AppointmentConfigTimesQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AppointmentConfigTimesQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AppointmentConfigTimesQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}